## ags_common_pitch_util

ags_common_pitch_util

## Stability Level

Stable, unless otherwise indicated

## Functions

gpointer | ags_common_pitch_util_get_source ()
void | ags_common_pitch_util_set_source ()
guint | ags_common_pitch_util_get_source_stride ()
void | ags_common_pitch_util_set_source_stride ()
gpointer | ags_common_pitch_util_get_destination ()
void | ags_common_pitch_util_set_destination ()
guint | ags_common_pitch_util_get_destination_stride ()
void | ags_common_pitch_util_set_destination_stride ()
guint | ags_common_pitch_util_get_buffer_length ()
void | ags_common_pitch_util_set_buffer_length ()
guint | ags_common_pitch_util_get_format ()
void | ags_common_pitch_util_set_format ()
guint | ags_common_pitch_util_get_samplerate ()
void | ags_common_pitch_util_set_samplerate ()
gdouble | ags_common_pitch_util_get_base_key ()
void | ags_common_pitch_util_set_base_key ()
gdouble | ags_common_pitch_util_get_tuning ()
void | ags_common_pitch_util_set_tuning ()
gboolean | ags_common_pitch_util_get_vibrato_enabled ()
void | ags_common_pitch_util_set_vibrato_enabled ()
gdouble | ags_common_pitch_util_get_vibrato_gain ()
void | ags_common_pitch_util_set_vibrato_gain ()
gdouble | ags_common_pitch_util_get_vibrato_lfo_depth ()
void | ags_common_pitch_util_set_vibrato_lfo_depth ()
gdouble | ags_common_pitch_util_get_vibrato_lfo_freq ()
void | ags_common_pitch_util_set_vibrato_lfo_freq ()
gdouble | ags_common_pitch_util_get_vibrato_tuning ()
void | ags_common_pitch_util_set_vibrato_tuning ()
guint | ags_common_pitch_util_get_frame_count ()
void | ags_common_pitch_util_set_frame_count ()
guint | ags_common_pitch_util_get_offset ()
void | ags_common_pitch_util_set_offset ()
gboolean | ags_common_pitch_util_get_note_256th_mode ()
void | ags_common_pitch_util_set_note_256th_mode ()
guint | ags_common_pitch_util_get_offset_256th ()
void | ags_common_pitch_util_set_offset_256th ()
void | ags_common_pitch_util_pitch ()

## Object Hierarchy

        GBoxed
        ╰── AgsCommonPitchUtil

## Description

## Functions

### ags_common_pitch_util_get_source ()

    gpointer
    ags_common_pitch_util_get_source (gpointer pitch_util,
                                      GType pitch_type);

Get source of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the source of `pitch_util`

Since: 4.0.0

### ags_common_pitch_util_set_source ()

    void
    ags_common_pitch_util_set_source (gpointer pitch_util,
                                      GType pitch_type,
                                      gpointer source);

Set `source` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
source | the source |

Since: 4.0.0

### ags_common_pitch_util_get_source_stride ()

    guint
    ags_common_pitch_util_get_source_stride
                                   (gpointer pitch_util,
                                    GType pitch_type);

Get source stride of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the source stride of `pitch_util`

Since: 4.0.0

### ags_common_pitch_util_set_source_stride ()

    void
    ags_common_pitch_util_set_source_stride
                                   (gpointer pitch_util,
                                    GType pitch_type,
                                    guint source_stride);

Set `source_stride` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
source_stride | the source stride |

Since: 4.0.0

### ags_common_pitch_util_get_destination ()

    gpointer
    ags_common_pitch_util_get_destination (gpointer pitch_util,
                                           GType pitch_type);

Get destination of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the destination of `pitch_util`

Since: 4.0.0

### ags_common_pitch_util_set_destination ()

    void
    ags_common_pitch_util_set_destination (gpointer pitch_util,
                                           GType pitch_type,
                                           gpointer destination);

Set `destination` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
destination | the destination |

Since: 4.0.0

### ags_common_pitch_util_get_destination_stride ()

    guint
    ags_common_pitch_util_get_destination_stride
                                   (gpointer pitch_util,
                                    GType pitch_type);

Get destination stride of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the destination stride of `pitch_util`

Since: 4.0.0

### ags_common_pitch_util_set_destination_stride ()

    void
    ags_common_pitch_util_set_destination_stride
                                   (gpointer pitch_util,
                                    GType pitch_type,
                                    guint destination_stride);

Set `destination_stride` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
destination_stride | the destination stride |

Since: 4.0.0

### ags_common_pitch_util_get_buffer_length ()

    guint
    ags_common_pitch_util_get_buffer_length
                                   (gpointer pitch_util,
                                    GType pitch_type);

Get buffer length of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the buffer length of `pitch_util`

Since: 4.0.0

### ags_common_pitch_util_set_buffer_length ()

    void
    ags_common_pitch_util_set_buffer_length
                                   (gpointer pitch_util,
                                    GType pitch_type,
                                    guint buffer_length);

Set `buffer_length` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
buffer_length | the buffer length |

Since: 4.0.0

### ags_common_pitch_util_get_format ()

    guint
    ags_common_pitch_util_get_format (gpointer pitch_util,
                                      GType pitch_type);

Get format of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the format of `pitch_util`

Since: 4.0.0

### ags_common_pitch_util_set_format ()

    void
    ags_common_pitch_util_set_format (gpointer pitch_util,
                                      GType pitch_type,
                                      guint format);

Set `format` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
format | the format |

Since: 4.0.0

### ags_common_pitch_util_get_samplerate ()

    guint
    ags_common_pitch_util_get_samplerate (gpointer pitch_util,
                                          GType pitch_type);

Get samplerate of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the samplerate of `pitch_util`

Since: 4.0.0

### ags_common_pitch_util_set_samplerate ()

    void
    ags_common_pitch_util_set_samplerate (gpointer pitch_util,
                                          GType pitch_type,
                                          guint samplerate);

Set `samplerate` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
samplerate | the samplerate |

Since: 4.0.0

### ags_common_pitch_util_get_base_key ()

    gdouble
    ags_common_pitch_util_get_base_key (gpointer pitch_util,
                                        GType pitch_type);

Get base key of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the base key of `pitch_util`

Since: 4.0.0

### ags_common_pitch_util_set_base_key ()

    void
    ags_common_pitch_util_set_base_key (gpointer pitch_util,
                                        GType pitch_type,
                                        gdouble base_key);

Set `base_key` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
base_key | the base key |

Since: 4.0.0

### ags_common_pitch_util_get_tuning ()

    gdouble
    ags_common_pitch_util_get_tuning (gpointer pitch_util,
                                      GType pitch_type);

Get tuning of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the tuning of `pitch_util`

Since: 4.0.0

### ags_common_pitch_util_set_tuning ()

    void
    ags_common_pitch_util_set_tuning (gpointer pitch_util,
                                      GType pitch_type,
                                      gdouble tuning);

Set `tuning` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
tuning | the tuning |

Since: 4.0.0

### ags_common_pitch_util_get_vibrato_enabled ()

    gboolean
    ags_common_pitch_util_get_vibrato_enabled
                                   (gpointer pitch_util,
                                    GType pitch_type);

Get vibrato enabled of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the vibrato enabled of `pitch_util`

Since: 5.2.0

### ags_common_pitch_util_set_vibrato_enabled ()

    void
    ags_common_pitch_util_set_vibrato_enabled
                                   (gpointer pitch_util,
                                    GType pitch_type,
                                    gboolean vibrato_enabled);

Set `vibrato_enabled` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
vibrato_enabled | the vibrato enabled |

Since: 5.2.0

### ags_common_pitch_util_get_vibrato_gain ()

    gdouble
    ags_common_pitch_util_get_vibrato_gain
                                   (gpointer pitch_util,
                                    GType pitch_type);

Get vibrato_gain of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the vibrato_gain of `pitch_util`

Since: 5.2.0

### ags_common_pitch_util_set_vibrato_gain ()

    void
    ags_common_pitch_util_set_vibrato_gain
                                   (gpointer pitch_util,
                                    GType pitch_type,
                                    gdouble vibrato_gain);

Set `vibrato_gain` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
vibrato_gain | the vibrato_gain |

Since: 5.2.0

### ags_common_pitch_util_get_vibrato_lfo_depth ()

    gdouble
    ags_common_pitch_util_get_vibrato_lfo_depth
                                   (gpointer pitch_util,
                                    GType pitch_type);

Get vibrato LFO depth of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the vibrato LFO depth of `pitch_util`

Since: 5.2.0

### ags_common_pitch_util_set_vibrato_lfo_depth ()

    void
    ags_common_pitch_util_set_vibrato_lfo_depth
                                   (gpointer pitch_util,
                                    GType pitch_type,
                                    gdouble vibrato_lfo_depth);

Set `vibrato_lfo_depth` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
vibrato_lfo_depth | the vibrato LFO depth |

Since: 5.2.0

### ags_common_pitch_util_get_vibrato_lfo_freq ()

    gdouble
    ags_common_pitch_util_get_vibrato_lfo_freq
                                   (gpointer pitch_util,
                                    GType pitch_type);

Get vibrato LFO frequency of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the vibrato LFO frequency of `pitch_util`

Since: 5.2.0

### ags_common_pitch_util_set_vibrato_lfo_freq ()

    void
    ags_common_pitch_util_set_vibrato_lfo_freq
                                   (gpointer pitch_util,
                                    GType pitch_type,
                                    gdouble vibrato_lfo_freq);

Set `vibrato_lfo_freq` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
vibrato_lfo_freq | the vibrato LFO frequency |

Since: 5.2.0

### ags_common_pitch_util_get_vibrato_tuning ()

    gdouble
    ags_common_pitch_util_get_vibrato_tuning
                                   (gpointer pitch_util,
                                    GType pitch_type);

Get vibrato tuning of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the vibrato tuning of `pitch_util`

Since: 5.2.0

### ags_common_pitch_util_set_vibrato_tuning ()

    void
    ags_common_pitch_util_set_vibrato_tuning
                                   (gpointer pitch_util,
                                    GType pitch_type,
                                    gdouble vibrato_tuning);

Set `vibrato_tuning` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
vibrato_tuning | the vibrato tuning |

Since: 5.2.0

### ags_common_pitch_util_get_frame_count ()

    guint
    ags_common_pitch_util_get_frame_count (gpointer pitch_util,
                                           GType pitch_type);

Get frame count of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the frame count of `pitch_util`

Since: 6.1.0

### ags_common_pitch_util_set_frame_count ()

    void
    ags_common_pitch_util_set_frame_count (gpointer pitch_util,
                                           GType pitch_type,
                                           guint frame_count);

Set `frame_count` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
frame_count | the frame count |

Since: 6.1.0

### ags_common_pitch_util_get_offset ()

    guint
    ags_common_pitch_util_get_offset (gpointer pitch_util,
                                      GType pitch_type);

Get offset of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the offset of `pitch_util`

Since: 6.1.0

### ags_common_pitch_util_set_offset ()

    void
    ags_common_pitch_util_set_offset (gpointer pitch_util,
                                      GType pitch_type,
                                      guint offset);

Set `offset` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
offset | the offset |

Since: 6.1.0

### ags_common_pitch_util_get_note_256th_mode ()

    gboolean
    ags_common_pitch_util_get_note_256th_mode
                                   (gpointer pitch_util,
                                    GType pitch_type);

Get note 256th mode of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

`TRUE` if note 256th mode of `pitch_util` , otherwise `FALSE`

Since: 6.1.0

### ags_common_pitch_util_set_note_256th_mode ()

    void
    ags_common_pitch_util_set_note_256th_mode
                                   (gpointer pitch_util,
                                    GType pitch_type,
                                    gboolean note_256th_mode);

Set `note_256th_mode` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
note_256th_mode | `TRUE` if note 256th mode, otherwise `FALSE` |

Since: 6.1.0

### ags_common_pitch_util_get_offset_256th ()

    guint
    ags_common_pitch_util_get_offset_256th
                                   (gpointer pitch_util,
                                    GType pitch_type);

Get offset note 256th of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

#### Returns

the offset note 256th of `pitch_util`

Since: 6.1.0

### ags_common_pitch_util_set_offset_256th ()

    void
    ags_common_pitch_util_set_offset_256th
                                   (gpointer pitch_util,
                                    GType pitch_type,
                                    guint offset_256th);

Set `offset_256th` of `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |
offset_256th | the offset note 256th |

Since: 6.1.0

### ags_common_pitch_util_pitch ()

    void
    ags_common_pitch_util_pitch (gpointer pitch_util,
                                 GType pitch_type);

Pitch `pitch_util` .

#### Parameters

pitch_util | the pitch util |
pitch_type | the pitch type |

Since: 4.0.0